package net.cobem.grizzly.habbohotel.rooms.items.interactions;

import net.cobem.grizzly.habbohotel.rooms.actors.Actor;
import net.cobem.grizzly.habbohotel.rooms.items.FloorItem;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class BedInteraction implements Interaction {

    @Override
    public void onPlace(Session Session, Object Item) {
    }

    @Override
    public void onRemove(Session Session, Object Item) {
    }

    @Override
    public void onTrigger(Session Session, Object Item, int Request) {
        Actor Actor = Session.getActor();
        FloorItem RoomItem = (FloorItem) Item;

        Actor.Rotation = RoomItem.Rotation;

        Actor.removeStatus("sit", false);
        Actor.removeStatus("mv", false);
        Actor.addStatus("lay", RoomItem.getBase().StackHeight, true);
    }

    @Override
    public void onCycle(Object Item) {
    }

}
